package ava.parser

sealed trait TokenType

object TokenType:

  case object Keyword          extends TokenType
  case object ReservedOperator extends TokenType
  case object Name             extends TokenType
  case object OpenParen        extends TokenType
  case object CloseParen       extends TokenType
  case object Dot              extends TokenType
  case object Comma            extends TokenType
  case object DoubleQuote      extends TokenType
  case object Hole             extends TokenType
  case object Literal          extends TokenType

end TokenType
